Countdown for SQL 2005 and SQL 2008 support

350575130_6405...4...3...2...1... Happy New Year! Last month we had a countdown to welcome in 2015. Here at Escape in Technical Support we are starting another countdown: the countdown for SQL 2005 and SQL 2008 support! Starting January 1, 2016, Escape Technology will no longer support SQL 2005 and SQL 2008. That means we will no longer test our software releases on either and customers won’t be able to upgrade beyond Escape Online 5 version 15.03 until they have upgraded to SQL 2012 or 2014. While some might say that Escape Online 5 will still work on SQL 2005 &SQL 2008 and don’t have a reason to update, that’s actually not the case. SQL 2012 and 2014 support many new programming features that cannot yet be utilized by Escape since many of the features aren’t compatible with SQL 2005 and 2008 databases. And the newer versions of SQL offer better security, more features for SQL Server Management Studio, a longer Microsoft support life and improve performance.

Take a step back and think about how old SQL 2005 actually is. When SQL 2005 was released 9 years ago, Myspace was one of the top websites in the world, the Nintendo Wii was released, Twitter sent its first tweet, and Windows XP was the current Windows operating system! We now have tablets that can replace desktop PCs, we can make video calls on a phone and Amazon is talking about delivering packages via drone! Yes, SQL 2005 is outdated!

We are excited about this upgrade and the many new features we will be able to harness! So, if you are a customer that is still using SQL 2005 or SQL 2008 please begin the planning process so you can be fully upgraded by January 1, 2016.

If you have any questions or need assistance with this transition please contact us.

Tick, tock, tick, tock, the countdown has begun.